.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the AudioEffectPitchShift.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_AudioEffectPitchShift:

AudioEffectPitchShift
=====================

**Inherits:** :ref:`AudioEffect<class_audioeffect>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Adds a Pitch shift audio effect to an Audio bus.

Raises or lowers the pitch of original sound.

Member Variables
----------------

  .. _class_AudioEffectPitchShift_pitch_scale:

- :ref:`float<class_float>` **pitch_scale** - Pitch value. Can range from 0 (-1 octave) to 16 (+16 octaves).


Description
-----------

Allows modulation of pitch independently of tempo. All frequencies can be increased/decreased with minimal effect on transients.

